Page MenuHomePhabricator

Get every previous Bugzilla user with actions have an account, so that actions aren't attributed to bzimport
Closed, DeclinedPublic

Description

Ugly and incorrect

https://bugzillapreview.wmflabs.org/T7237

bzimport added a comment.Via Conduit · Jul 16 2014, 4:33 PM
Comment Actions

jforrester wrote:

Event Timeline

Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added a project: Bugzilla-Preview.
Nemo_bis changed Security from none to None.
Nemo_bis added a subscriber: Nemo_bis.
He7d3r added a subscriber: He7d3r.Oct 24 2014, 11:39 AM

Similarly, I noticed

flimport added a comment.Via Conduit · Sep 11 2014, 10:40 PM
Comment Actions
Rush wrote on 2014-07-11 14:07:57 (UTC)
(...)

on T264.

Qgil added a subscriber: Qgil.Oct 24 2014, 1:36 PM

These actions are supposed to be assigned to the actual author as soon as the user registers with the Bugzilla email address and bzimport completes the claiming activity job.

You can see that chasemp and Qgil have their comments correctly assigned at https://bugzillapreview.wmflabs.org/T1 , while right now aklapper's actions still are attributed to bzimport. This will change when the bot goes through Andre's actions.

Leaving open this task just to make sure that this effectively happens in bugzillapreview, but it shouldn't be a problem. Just give a bit of time to bzimport.

Qgil assigned this task to chasemp.Oct 24 2014, 1:37 PM
Qgil triaged this task as Medium priority.
Qgil added a comment.Oct 24 2014, 6:22 PM

Just as expected, this works. Now JamesF has his Bugzilla history properly linked to his Phabricator account. You can see how his comments at https://bugzillapreview.wmflabs.org/T4262 are now assigned to him.

Qgil closed this task as Resolved.Oct 24 2014, 6:22 PM
Nemo_bis reopened this task as Open.Oct 25 2014, 10:48 AM

This is not acceptable, because I must be able to search reports according to their reporter whatever the fate of the reporter was. I can't keep into account the personal history of 20k users when making a search query,.

Qgil added a comment.Oct 25 2014, 2:27 PM

The workflow we currently have is the best technical compromise we have been able to find. Creating accounts on behalf of users by launch date has its problems too, which we consider bigger.

The principles and compromises of the current workflow have been discussed at length at T572: Determine the fate of comment metadata from legacy systems in phabricator.wikimedia.org. You can start reading at T572#10081

We haven't discussed what to do with the users and the actions that haven't been claimed after a while. I don't have an informed opinion, but maybe a possibility is create accounts on behalf of the inactive users down the road, say six months after the Bugzilla migration?

Aklapper closed this task as Declined.Oct 25 2014, 2:33 PM
Aklapper added a subscriber: Aklapper.

This is acceptable and I am not convinced that there is a sufficient number of Bugzilla users who commonly want to search for tickets created by a reporter who is not themselves which could justify spending weeks of code work on fixing this.

As "resolved" was reverted on this task I will close this as "declined" instead.

Nemo_bis reopened this task as Open.Nov 19 2014, 8:46 AM

I am not convinced that there is a sufficient number of Bugzilla users who commonly want to search for tickets

But yours is just a guess; and it doesn't matter how many users do this, but only how frequently it's done and how much work is needed annually to circumvent this regression. Personal opinions and guesstimates are not useful for making decisions about regressions: we can be better and data-driven, e.g. by

  • grepping bugzilla logs for cc/reporter/assignee/commenter searches;
  • searching links to them on the external links tables of our wikis;
  • assessing how much work is needed to do those jobs without the feature.

Also, for harm mitigation purposes it's necessary that workarounds be documented on https://www.mediawiki.org/wiki/Phabricator/versus_Bugzilla and help page, but I didn't find anything for subscribers and others (cf. T896).

Qgil removed chasemp as the assignee of this task.Nov 19 2014, 9:35 AM
Qgil lowered the priority of this task from Medium to Low.
Qgil edited projects, added Phabricator; removed Bugzilla-Preview.
Qgil added a subscriber: chasemp.

I propose to look at this task four weeks after the migration, to evaluate how ugly and incorrect things actually look like.

Then we can act accordingly.

Qgil added a comment.Dec 22 2014, 9:20 AM

I must be able to search reports according to their reporter whatever the fate of the reporter was

Imagine that you need to search all the tasks authored by DanClemmensen, a user that (as of today) hasn't claimed his Bugzilla history. As soon as T75743 is fixed, searching for "Author: DanClemmensen" should provide a list of tasks where such string exists, which is probably the list of tasks you would be looking for.

Qgil moved this task from To Triage to Need discussion on the Phabricator board.Dec 22 2014, 9:21 AM
Aklapper lowered the priority of this task from Low to Lowest.EditedJan 16 2015, 6:40 PM

We will not be able to technically create fake accounts so we will always end up with either searching for the author if the author has created an account here, or with searching for the string "Author: JohnDoe" instead once T75743 is done.

We cannot time-travel to change the migration logic, proposing "declined" here again.

We cannot time-travel to change the migration logic, proposing "declined" here again.

Or this task could be kept open to figure out how to get everyone with actions to register.

Aklapper changed the task status from Open to Stalled.Jan 17 2015, 5:24 PM

Until that happens, setting to Stalled status.

Nemo_bis added a subscriber: Tgr.Feb 2 2015, 11:02 PM
Restricted Application added a subscriber: scfc. · View Herald TranscriptJun 16 2015, 12:52 PM

figure out how to get everyone with actions to register.

More people helping: https://meta.wikimedia.org/w/index.php?title=User_talk:Herbythyme&diff=prev&oldid=15764752

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJul 16 2016, 9:32 AM
Aklapper closed this task as Declined.Oct 7 2016, 4:57 PM
Aklapper moved this task from Need discussion to Misc on the Phabricator board.

Declining per T847#982445 as it's technically not feasible to fix this request.

If anyone wants to work on T847#983701 somehow ("get every previous Bugzilla user with actions to register in Phabricator"), feel free to do so.

This is an extremely important defect of our installation and it's very unwise to close the task, especially if the issue is not documented in some visible and frequently checked document and/or assigned to someone actively working on it.

technically not feasible to fix this request.

Sounds extremely unlikely; was upstream consulted on the matter?

https://secure.phabricator.com/book/phabricator/article/configuring_accounts_and_registration/ states that it's possible to register accounts from the CLI.

Nemo_bis renamed this task from Actions shouldn't be attributed to bzimport to Get every previous Bugzilla user with actions have an account, so that actions aren't attributed to bzimport.Oct 9 2016, 8:22 PM
Nemo_bis reopened this task as Open.

Actually, I'm repurposing the task to be about the actionable item that Andre suggested to work on.

Qgil removed a subscriber: Qgil.Oct 10 2016, 12:25 PM

https://secure.phabricator.com/book/phabricator/article/configuring_accounts_and_registration/ states that it's possible to register accounts from the CLI.

@Nemo_bis: I'm afraid I still don't understand which problem gets solved by creating accounts for people who do not use their accounts (because they would have already registered if they would). The only situation coming to my mind is what you wrote in T847#15087: "I must be able to search reports according to their reporter". Which does not sound like a common use case that would justify efforts.

The CLI functionality described in https://secure.phabricator.com/book/phabricator/article/configuring_accounts_and_registration/ also requires entering an email address for the account to create. AFAIK we do not have these email addresses.

[root@canislupus phab]# ./bin/accountadmin
Enter a username to create a new account or edit an existing account.
    Enter a username: clitest
There is no existing user account 'clitest'.
    Do you want to create a new 'clitest' account? [Y/n] Y
    Enter user real name: CLITEST
    Enter user email address: whatever@foo.bar
    Enter a password for this user [blank to leave unchanged]: 
    Is this user a bot? [y/N] N
    Should this user be an administrator? [y/N] N

ACCOUNT SUMMARY
               OLD VALUE                        NEW VALUE                     
    Username                                    clitest                       
   Real Name                                    CLITEST                       
       Email                                    whatever@foo.bar              
    Password                                    Unchanged                     
         Bot   N                                N                             
       Admin   N                                N                             
    Save these changes? [Y/n] n
Cancelled.
Nemo_bis added a comment.EditedFeb 28 2017, 6:04 PM

because they would have already registered if they would

This is an incorrect assumption. Users would use Phabricator if they remembered that they have a use for it; not the opposite.

AFAIK we do not have these email addresses.

The email addresses must come from the non-sanitised bugzilla dump, of course. The whole point of this exercise is to recover all the bugzilla email addresses so that I don't have to notify each user manually.

The email addresses must come from the non-sanitised bugzilla dump, of course.

If you refer to T85141, that unsanitized dump does not exist anymore AFAIK? Or do you plan to extract that from the DB behind http://bugs.wmflabs.org ?

Aklapper closed this task as Declined.Apr 9 2018, 8:02 AM

No reply to last questions. Reflecting reality by closing task as declined as my understanding is that data to perform this task does not exist anymore.
(Please correct me if I am wrong.)